Docs
Segments

List segments

GET/segmentsNeedscontent.view

Authorization

secretKey
headerAuthorizationBearer <sk_…>

A secret API key from Settings → API keys. It acts with its creator's role.

Response Body

OK

application/json
  1. response
segments*array<>
Shell
curl -X GET 'https://app.cueston.com/api/segments'
Example Response
JSON
{
  "segments": [
    {
      "id": 42,
      "name": "Workspace admins",
      "description": "string",
      "rules": {
        "enabled": false,
        "matchType": "all",
        "rules": [
          {
            "id": "string",
            "attribute": "string",
            "operator": "equals",
            "value": "string",
            "key": "string"
          }
        ]
      },
      "createdBy": {
        "id": 42,
        "name": "Ada Lovelace"
      },
      "createdAt": "2026-10-26T09:30:00Z",
      "updatedAt": "2026-10-26T09:30:00Z",
      "usage": [
        {
          "type": "string",
          "id": 42,
          "name": "Onboarding tour"
        }
      ],
      "liveUsage": 0
    }
  ]
}